kdesu(1)

kdesu - Kjører et program med høyere rettigheter

kdesu [-c kommando] [-d] [-f file] [-i icon name] [-n] [-p priority] [-r] [-s] [-t] [-u user] [--noignorebutton] [--attach winid]

kdesu [KDE-spesifikke valg] [Qt(TM)-spesifikke valg]

Beskrivelse

KDE su er et grafisk grensesnitt for UNIX®-kommandoen su for skrivebordsmiljøet KDE. Med det kan du kjøre et program som en annen bruker ved å oppgi den brukerens passord. KDE su er et ikke-privilegert program, det bruker systemets su-kommando.

KDE su har en funksjon til: det kan huske passord for deg. Hvis du bruker denne funksjonen trenger du bare oppgi passordet én gang for hver kommando.

Dette programmet er ment å startes fra kommandolinja eller fra .desktop-filer.

Siden kdesu ikke lenger blir installert i $(kde4-config --prefix)/bin men i kde4-config --path libexec og derfor ikke finnes i din søkesti Path, så må du bruke $(kde4-config --prefix)kdesu for å starte kdesu.

Valg

-c kommando
    Dette oppgir kommandoen som skal kjøres som root. Den må ha ett argument: navnet på kommandoen. Så hvis du for eksempel vil kjøre en filbehandler som root, så skriver du inn på kommandolinja: $(kde4-config --path libexec)kdesu -c Dolphin

-d
    Vis feilsøkingsinformasjon.

-f fil
    Dette valget fører til effektiv bruk av KDE su i .desktop-filer. det får KDE su til undersøke fila fil, og hvis gjelddende bruker kan skrive til den, så kjører KDE su kommandoen som gjeldende bruker. Hvis fila ikke er skrivbar, så kjøres kommandoen som bruker bruker (standard er root).

    fil utvikles slik: hvis fil begynner med en /, så er det et absolutt filnavn, ellers blir det tatt for navnet på en global KDE oppsettsfil.

-i ikonnavn
    Oppgi iklon som skal brukes i passord-dialogen. Du kan oppgi bare navnet, uten etternavn.

-n
    Ikke behold passordet. Dette slår av avkryssingsboksen Husk passord i passord-dialogen.

-p prioritet
    Sett prioritet. Prioriteten er et fritt valgt tall mellom 0 og 100, der 100 er høyeste prioritet og 0 er laveste. Standard er 50.

-r
    Bruk sanntidsplanlegging.

-s
    Stopp kdesu-daemonen. Dette er daemonen som i bakgrunnen husker godkjente passord. Dette kan også slås av med -n når KDE su først startes.

-t
    Slå på utdata til terminal. Dette slår av passordlagring. Brukes for det meste til feilsøking, hvis du vil bruke et konsollprogram, så bruk standard su-kommando i stedet.

-u bruker
    Det vanligste ved bruk av KDE su er å kjøre en kommando som superbruker, men du kan også oppgi andre brukernavn og tilhørende passord.

--noignorebutton
    Ikke vis en Ignorer-knapp.

--attach vindus-id
    Gjør dialogen midlertidig for et X-program oppgitt ved vindus-id.

Se også

su(1)

Mer detaljert brukerdokumentasjon finnes fra help:/kdesu[1] (skriv enten denne URL-en inn i Konqueror eller kjør khelpcenter help:/kdesu).

Eksempler

Kjør kfmclient som bruker jon, og vis Konqueror-ikonet i passord-dialogen:

    $(kde4-config --path libexec)kdesu -u jon -i konqueror kfmclient

Utviklere

KDE su ble skrevet av Geert Jansen <jansen@kde.org> og Pietro Iglio<iglio@fub.it>.

Lauri Watts <lauri@kde.org>

1.  help:/kdesu
    help:/kfind